package ostate;

import ostate.util.properties.Properties;

/**
 * Represents main interface for state factories.
 * State factory is an object that have ability to
 * construct all possible states of SM.
 *
 * Have default implementation {@link ostate.impl.DefaultStateFactory}
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
public interface IStateFactory<I> {

    <T extends IState<I>> T constructState(Class<T> stateClass, Properties properties);

    void setStateMachine(IStateMachine<I> sm);
}
