package ostate.annotations;

import java.lang.annotation.Target;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Mark of a method, indicating it to be the event
 * handler.
 *
 * Event handler method must have one parameter, this parameter
 * must be a subclass of {@link ostate.Event}. This method
 * must not throw any exception.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Handler {
}
