package ostate.annotations;

import ostate.IState;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * IState
 *
 * Annotation for states,
 * defines the name of the state, it's parent, type
 * and some other information.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface State {

    String name();

    Class<? extends IState> parent() default IState.class;

    StateType type() default StateType.SIMPLE;

    Class<? extends IState> entryPoint() default IState.class;

    Class<? extends IState>[] parts() default {};

}
