package ostate.discriptions;

import ostate.annotations.State;
import ostate.IState;

/**
 * Discriptor of AND State.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
public class ANDStateDiscriptor<S> extends
        StateDiscriptor<S> {

    private final Class<? extends IState<S>>[] parts;

    public ANDStateDiscriptor(String name,
                              Class<? extends IState<S>> parent,
                              Class<? extends IState<S>>... parts) {
        super(name, parent);
        this.parts = parts;
        for (Class<? extends IState<S>> part : parts) {
            if (part == null) {
                throw new NullPointerException("Part cannot be null");
            }
        }
    }

    public ANDStateDiscriptor(State state) {
        this(
                state.name(),
                (Class<? extends IState<S>>)state.parent(),
                (Class<? extends IState<S>>[]) state.parts()
        );
    }

    public Class<? extends IState<S>>[] getParts() {
        return parts;
    }
}
