package ostate.invoke;

import ostate.IState;

/**
 * InvocationResult to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class InvocationResult {

    public final static InvocationResult EMPTY = new InvocationResult(null, null);

    private final Object result;

    private final IState returnedBy;

    public InvocationResult(Object result, IState returnedBy) {
        this.result = result;
        this.returnedBy = returnedBy;
    }

    public Object getResult() {
        return result;
    }

    public IState getReturnedBy() {
        return returnedBy;
    }
}
