package ostate.invoke.impl;

import ostate.invoke.EventProcessor;
import ostate.invoke.EventProcessingContext;

import java.lang.reflect.InvocationTargetException;

/**
 * Two default event processors:
 * From children to root, and from rot to children.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public enum DefaultEventProcessor implements EventProcessor {

    ROOT_CHILDREN {
        public void processEvent(EventProcessingContext context)
                throws IllegalAccessException, InvocationTargetException {
            context.processThisState();
            while (context.hasMoreChildren()) {
                context.processNextChild();
            }
        }
    },
    CHILDREN_ROOT {
        public void processEvent(EventProcessingContext context)
                throws IllegalAccessException, InvocationTargetException {
            while (context.hasMoreChildren()) {
                context.processNextChild();
            }
            context.processThisState();
        }
    };
}
