package ostate.util.properties;

import java.util.Map;
import java.util.HashMap;
import java.util.Set;

/**
 * HashMapProperties to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class HashMapProperties implements Properties {

    Map<Property, Object> propertiesMap = new HashMap<Property, Object>();

    public <V> V getPropertyValue(Property<V> property) {
        return (V)propertiesMap.get(property);
    }

    public <V> void setPropertyValue(Property<V> property, V value) {
        propertiesMap.put(property, value);
    }

    public boolean hasProperty(Property<?> property) {
        return propertiesMap.containsKey(property);
    }

    public Set<Property> getPropertySet() {
        return propertiesMap.keySet();
    }


}
