package connection.states;

import connection.Connection;
import connection.events.ConnectionError;
import ostate.IState;
import ostate.IStateMachine;
import ostate.annotations.Handler;

/**
 * AbstractState to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public abstract class AbstractState implements IState<Connection>, Connection {

    protected final IStateMachine<Connection> sm;

    public AbstractState(IStateMachine<Connection> sm) {
        this.sm = sm;
    }

    @Handler
    public void handleError(ConnectionError e) {
        System.out.println("Error!!!");        
    }

}
