package connection.states;

import connection.Connection;
import ostate.IStateMachine;
import ostate.annotations.State;

/**
 * Disconnected to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
@State (
        name = "disconnected"
)
public class Disconnected extends AbstractState{

    public Disconnected(IStateMachine<Connection> sm) {
        super(sm);
    }

    public void stateEntry() {
        System.out.println("Disconnected state entry.");
    }

    public void stateExit() {
        System.out.println("Disconnected state exit.");
    }

    public void connect() {
        sm.changeState(Connected.class);
    }

    public void disconnect() {
        System.out.println("ConnectionError: Already disconnected.");
    }
}
